{
  "openapi": "3.0.1",
  "info": {
    "title": "Facebook API by APISH",
    "description": "Facebook data as clean JSON via APISH: Replies to a Facebook comment, Facebook event, Facebook events search and 22 more endpoints. Pay per credit; failed calls are free.",
    "version": "0.1",
    "x-build-id": "5u9Z5Zea9tjbmZ0NS"
  },
  "servers": [
    {
      "url": "https://api.apify.com/v2"
    }
  ],
  "paths": {
    "/acts/apish~facebook-api/run-sync-get-dataset-items": {
      "post": {
        "operationId": "run-sync-get-dataset-items-apish-facebook-api",
        "x-openai-isConsequential": false,
        "summary": "Executes an Actor, waits for its completion, and returns Actor's dataset items in response.",
        "tags": [
          "Run Actor"
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/inputSchema"
              }
            }
          }
        },
        "parameters": [
          {
            "name": "token",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Enter your Apify token here"
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          }
        }
      }
    },
    "/acts/apish~facebook-api/runs": {
      "post": {
        "operationId": "runs-sync-apish-facebook-api",
        "x-openai-isConsequential": false,
        "summary": "Executes an Actor and returns information about the initiated run in response.",
        "tags": [
          "Run Actor"
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/inputSchema"
              }
            }
          }
        },
        "parameters": [
          {
            "name": "token",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Enter your Apify token here"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/runsResponseSchema"
                }
              }
            }
          }
        }
      }
    },
    "/acts/apish~facebook-api/run-sync": {
      "post": {
        "operationId": "run-sync-apish-facebook-api",
        "x-openai-isConsequential": false,
        "summary": "Executes an Actor, waits for completion, and returns the OUTPUT from Key-value store in response.",
        "tags": [
          "Run Actor"
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/inputSchema"
              }
            }
          }
        },
        "parameters": [
          {
            "name": "token",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Enter your Apify token here"
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "inputSchema": {
        "type": "object",
        "required": [
          "endpoint"
        ],
        "properties": {
          "endpoint": {
            "title": "Endpoint",
            "enum": [
              "/facebook/v1/comment/replies",
              "/facebook/v1/event/details",
              "/facebook/v1/events",
              "/facebook/v1/events/search",
              "/facebook/v1/group",
              "/facebook/v1/group/about",
              "/facebook/v1/group/posts",
              "/facebook/v1/hashtag",
              "/facebook/v1/marketplace",
              "/facebook/v1/marketplace/item",
              "/facebook/v1/marketplace/location/search",
              "/facebook/v1/marketplace/search",
              "/facebook/v1/page",
              "/facebook/v1/page/about",
              "/facebook/v1/page/transparency",
              "/facebook/v1/post",
              "/facebook/v1/post/comments",
              "/facebook/v1/post/transcript",
              "/facebook/v1/profile/albums",
              "/facebook/v1/profile/events",
              "/facebook/v1/profile/photos",
              "/facebook/v1/profile/posts",
              "/facebook/v1/profile/reels",
              "/facebook/v1/profile/videos",
              "/facebook/v1/search/videos"
            ],
            "type": "string",
            "description": "Which Facebook endpoint to call. Each option shows what it returns and its price in credits.",
            "default": "/facebook/v1/comment/replies"
          },
          "params": {
            "title": "Parameters",
            "type": "object",
            "description": "Query parameters for the endpoint, as JSON. See the README for every endpoint's parameters. Example: {\"token\":\"eyJmIjoiWm1WbFpHSmhZMnM2TVRZMU9EZzNOamM0TWpJM05ETTFPRjh4T0RZeU5qazBNall4TlRjME5ERTIiLCJlIjoiTWpveE56a3lOalkwTVRBeU9nRl9JVHl6dEhIR0FvTVFQRVdfVFREQWh4dnd1Nlg3TjFqRXlIczlIRUZWSlZBeGVMdnpuZHhocDdSM3pZSzZ6LXBKSWowX0plY29vZXVKMHhiU1dlLUVEZ1ItT0trRVBvZ0tYMklkTURYbnlTQkF4U2ZUbkFCR082eUQ3eU5FblViM0dmUkt3cTRQRXkxY1RKemZPa0N5MXVSZFQ0d3J5Q29pZ3RrMGxxUTlHQVRjWmVLUjlWc1Ytbnh4UzZmZUxyNXRmQ0h3SWJXdXkxRkx3ZXdFRldrZWpJRGMyWU5aeTJpOVMyVmtVZ1VURWNlU3V5MHNnTk9GdFJWYlllVXF6TTI5S21VQXlBMkVPVjRnRHhhcWJlcnlLYkU2aFZpSVFDbUJFSk5hTEJ5RngzUEtjUUwyWlNLX2hRcUVrXzZtQ2J2UV9UeWFJZHRlTVZ4RXY0eEhBc1pvbjlNa0xORGJNdHhCQ2JveHg5TEwwdzZCNF96UjhmMW5PZkZQb3NOT2o0Y3dHZ0pNTkVwb2lRRnVDbUx3S1hDTFZweFNTZllpUy1kYVFxZk9ueWhVQjhlVDE2Wm85amY3WXp5ZWZqSXgxZ1kyeGVMMndNVDdjR18tdjdTdjRDQmQydTZhWjlVMUhyYXNFTUpUZ2tEMGkydXRmRXJKZ2xObFU3c2dsclRDZXVGSmZiTHlzTFJYZkg1QjFGSXpZM1d1ZmJldUJCdzNvelZ6TXJ5SFZYNC05ZVVCODlTbTVXeGhpc204a3YzbkhZZ2t2d3ZQdGFuS3duWmNia2dJVlZXcnJrLVl2NTdrRl9saVcxbFEwYnRnZzVYYm5yZGVsNW9RIn0\"}"
          },
          "batch": {
            "title": "Batch (optional)",
            "type": "array",
            "description": "Run the same endpoint for many inputs: a list of parameter objects. Each item is one call. Leave empty to use Parameters."
          },
          "maxPages": {
            "title": "Pages per input",
            "minimum": 1,
            "maximum": 50,
            "type": "integer",
            "description": "For paginated endpoints: follow next_cursor up to this many pages per input. 1 = first page only.",
            "default": 1
          }
        }
      },
      "runsResponseSchema": {
        "type": "object",
        "properties": {
          "data": {
            "type": "object",
            "properties": {
              "id": {
                "type": "string"
              },
              "actId": {
                "type": "string"
              },
              "userId": {
                "type": "string"
              },
              "startedAt": {
                "type": "string",
                "format": "date-time",
                "example": "2025-01-08T00:00:00.000Z"
              },
              "finishedAt": {
                "type": "string",
                "format": "date-time",
                "example": "2025-01-08T00:00:00.000Z"
              },
              "status": {
                "type": "string",
                "example": "READY"
              },
              "meta": {
                "type": "object",
                "properties": {
                  "origin": {
                    "type": "string",
                    "example": "API"
                  },
                  "userAgent": {
                    "type": "string"
                  }
                }
              },
              "stats": {
                "type": "object",
                "properties": {
                  "inputBodyLen": {
                    "type": "integer",
                    "example": 2000
                  },
                  "rebootCount": {
                    "type": "integer",
                    "example": 0
                  },
                  "restartCount": {
                    "type": "integer",
                    "example": 0
                  },
                  "resurrectCount": {
                    "type": "integer",
                    "example": 0
                  },
                  "computeUnits": {
                    "type": "integer",
                    "example": 0
                  }
                }
              },
              "options": {
                "type": "object",
                "properties": {
                  "build": {
                    "type": "string",
                    "example": "latest"
                  },
                  "timeoutSecs": {
                    "type": "integer",
                    "example": 300
                  },
                  "memoryMbytes": {
                    "type": "integer",
                    "example": 1024
                  },
                  "diskMbytes": {
                    "type": "integer",
                    "example": 2048
                  }
                }
              },
              "buildId": {
                "type": "string"
              },
              "defaultKeyValueStoreId": {
                "type": "string"
              },
              "defaultDatasetId": {
                "type": "string"
              },
              "defaultRequestQueueId": {
                "type": "string"
              },
              "buildNumber": {
                "type": "string",
                "example": "1.0.0"
              },
              "containerUrl": {
                "type": "string"
              },
              "usage": {
                "type": "object",
                "properties": {
                  "ACTOR_COMPUTE_UNITS": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATASET_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATASET_WRITES": {
                    "type": "integer",
                    "example": 0
                  },
                  "KEY_VALUE_STORE_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "KEY_VALUE_STORE_WRITES": {
                    "type": "integer",
                    "example": 1
                  },
                  "KEY_VALUE_STORE_LISTS": {
                    "type": "integer",
                    "example": 0
                  },
                  "REQUEST_QUEUE_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "REQUEST_QUEUE_WRITES": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATA_TRANSFER_INTERNAL_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATA_TRANSFER_EXTERNAL_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "PROXY_RESIDENTIAL_TRANSFER_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "PROXY_SERPS": {
                    "type": "integer",
                    "example": 0
                  },
                  "PROXY_UNBLOCKER_UNITS": {
                    "type": "integer",
                    "example": 0
                  }
                }
              },
              "usageTotalUsd": {
                "type": "number",
                "example": 0.00005
              },
              "usageUsd": {
                "type": "object",
                "properties": {
                  "ACTOR_COMPUTE_UNITS": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATASET_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATASET_WRITES": {
                    "type": "integer",
                    "example": 0
                  },
                  "KEY_VALUE_STORE_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "KEY_VALUE_STORE_WRITES": {
                    "type": "number",
                    "example": 0.00005
                  },
                  "KEY_VALUE_STORE_LISTS": {
                    "type": "integer",
                    "example": 0
                  },
                  "REQUEST_QUEUE_READS": {
                    "type": "integer",
                    "example": 0
                  },
                  "REQUEST_QUEUE_WRITES": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATA_TRANSFER_INTERNAL_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "DATA_TRANSFER_EXTERNAL_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "PROXY_RESIDENTIAL_TRANSFER_GBYTES": {
                    "type": "integer",
                    "example": 0
                  },
                  "PROXY_SERPS": {
                    "type": "integer",
                    "example": 0
                  },
                  "PROXY_UNBLOCKER_UNITS": {
                    "type": "integer",
                    "example": 0
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}